Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
unistd.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
int | seteuid (pid_t pid)
int | setegid (pid_t pid)
int | truncate (const char *path, off_t new_size)
int | ftruncate (int fd, off_t new_size)

## Function Documentation

int ftruncate | ( | int | fd,
|  | off_t | new_size
| ) |  |

int setegid | ( | pid_t | pid) |  |

Referenced by p_gid_change_privilege(), and rb_setegid_core().

int seteuid | ( | pid_t | pid) |  |

Referenced by chfunc(), p_uid_change_privilege(), and rb_seteuid_core().

int truncate | ( | const char * | path,
|  | off_t | new_size
| ) |  |